Bug 123455 - Breeze Dark icon set is missing some icons
Summary: Breeze Dark icon set is missing some icons
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
6.2.0.3 release
Hardware: All All
: medium normal
Assignee: andreas_k
URL:
Whiteboard: target:6.3.0 target:6.2.3
Keywords:
Depends on:
Blocks: Icon-Theme-Breeze
  Show dependency treegraph
 
Reported: 2019-02-13 22:19 UTC by Ongun Kanat
Modified: 2019-04-15 14:56 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ongun Kanat 2019-02-13 22:19:38 UTC
When using Breeze Dark, some icons are shown grey from Breeze theme.

Here is a quick list, I am using Notebookbar Tabbed, I tested using GTK2 and KDE5 VCL plugins.

File -> Save as Template

Home -> Insert special character

Insert -> Symbol

References -> Footnotes and Endnotes

View -> Sidebar
View -> Menubar

Tools -> Run Macro
Tools -> Edit Macros

Also Help menu items

Send Feedback
About LibreOffice

Screenshots:
https://imgur.com/a/JJKSPFQ

Specs:
OS: Arch Linux x86_64
Qt 5.12.1
KDE Framworks 5.55
Comment 1 andreas_k 2019-03-16 18:53:36 UTC
Thanks a lot for submit the bug. Yes Breeze_dark wasn't synced with Breeze
Comment 2 Commit Notification 2019-03-16 20:37:22 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/dd552855ea0185954c3c622f54147eb1e6baf0d7%5E%21

tdf#123455 Breeze Dark icon sync with Breeze

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2019-03-20 15:55:18 UTC
andreas kainz committed a patch related to this issue.
It has been pushed to "libreoffice-6-2":

https://git.libreoffice.org/core/+/8a749b96fc4ff288d33a47c7de5ba2d8f5b7960c%5E%21

tdf#123455 Breeze Dark icon sync with Breeze

It will be available in 6.2.3.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.